## org.eclipse.jst.jsf.facesconfig.emf.impl
Class ReferencedBeanTypeImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.ReferencedBeanTypeImpl

All Implemented Interfaces:
  ReferencedBeanType

    public class ReferencedBeanTypeImpl

extends EObjectImpl
implements ReferencedBeanType

An implementation of the model object 'Referenced Bean Type'.

The following features are implemented:

- `Description`
- `Display Name`
- `Icon`
- `Referenced Bean Name`
- `Referenced Bean Class`
- `Id`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`NotificationChain` `basicSetReferencedBeanClass(ReferencedBeanClassType newReferencedBeanClass, NotificationChain msgs)`
`NotificationChain` `basicSetReferencedBeanName(ReferencedBeanNameType newReferencedBeanName, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`EList` `getDescription()`
`EList` `getDisplayName()`
`EList` `getIcon()`
`java.lang.String` `getId()`
`ReferencedBeanClassType` `getReferencedBeanClass()`
`ReferencedBeanNameType` `getReferencedBeanName()`
`void` `setId(java.lang.String newId)`
`void` `setReferencedBeanClass(ReferencedBeanClassType newReferencedBeanClass)`
`void` `setReferencedBeanName(ReferencedBeanNameType newReferencedBeanName)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDescription

    public EList getDescription()

  Specified by:
    `getDescription` in interface `ReferencedBeanType`
  Returns:
    the value of the 'Description' containment reference list.
  See Also:
    `FacesConfigPackage.getReferencedBeanType_Description()`

### getDisplayName

    public EList getDisplayName()

  Specified by:
    `getDisplayName` in interface `ReferencedBeanType`
  Returns:
    the value of the 'Display Name' containment reference list.
  See Also:
    `FacesConfigPackage.getReferencedBeanType_DisplayName()`

### getIcon

    public EList getIcon()

  Specified by:
    `getIcon` in interface `ReferencedBeanType`
  Returns:
    the value of the 'Icon' containment reference list.
  See Also:
    `FacesConfigPackage.getReferencedBeanType_Icon()`

### getReferencedBeanName

    public ReferencedBeanNameType getReferencedBeanName()

  Specified by:
    `getReferencedBeanName` in interface `ReferencedBeanType`
  Returns:
    the value of the 'Referenced Bean Name' containment reference.
  See Also:
    `ReferencedBeanType.setReferencedBeanName(ReferencedBeanNameType)`, `FacesConfigPackage.getReferencedBeanType_ReferencedBeanName()`

### basicSetReferencedBeanName

    public NotificationChain basicSetReferencedBeanName(ReferencedBeanNameType newReferencedBeanName,
                                                        NotificationChain msgs)

  Parameters:
    `newReferencedBeanName` -
    `msgs` -
  Returns:
    the notification chain

### setReferencedBeanName

    public void setReferencedBeanName(ReferencedBeanNameType newReferencedBeanName)

  Specified by:
    `setReferencedBeanName` in interface `ReferencedBeanType`
  Parameters:
    `newReferencedBeanName` - the new value of the 'Referenced Bean Name' containment reference.
  See Also:
    `ReferencedBeanType.getReferencedBeanName()`

### getReferencedBeanClass

    public ReferencedBeanClassType getReferencedBeanClass()

  Specified by:
    `getReferencedBeanClass` in interface `ReferencedBeanType`
  Returns:
    the value of the 'Referenced Bean Class' containment reference.
  See Also:
    `ReferencedBeanType.setReferencedBeanClass(ReferencedBeanClassType)`, `FacesConfigPackage.getReferencedBeanType_ReferencedBeanClass()`

### basicSetReferencedBeanClass

    public NotificationChain basicSetReferencedBeanClass(ReferencedBeanClassType newReferencedBeanClass,
                                                         NotificationChain msgs)

  Parameters:
    `newReferencedBeanClass` -
    `msgs` -
  Returns:
    the notification chain

### setReferencedBeanClass

    public void setReferencedBeanClass(ReferencedBeanClassType newReferencedBeanClass)

  Specified by:
    `setReferencedBeanClass` in interface `ReferencedBeanType`
  Parameters:
    `newReferencedBeanClass` - the new value of the 'Referenced Bean Class' containment reference.
  See Also:
    `ReferencedBeanType.getReferencedBeanClass()`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `ReferencedBeanType`
  Returns:
    the value of the 'Id' attribute.
  See Also:
    `ReferencedBeanType.setId(String)`, `FacesConfigPackage.getReferencedBeanType_Id()`

### setId

    public void setId(java.lang.String newId)

  Specified by:
    `setId` in interface `ReferencedBeanType`
  Parameters:
    `newId` - the new value of the 'Id' attribute.
  See Also:
    `ReferencedBeanType.getId()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()